## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate apple-nvram

Name:           rust-apple-nvram
Version:        0.1.0
Release:        %autorelease
Summary:        Library to parse and write apple-formatted nvram entries

License:        MIT
URL:            https://crates.io/crates/apple-nvram
Source:         %{crates_source}
# https://github.com/WhatAmISupposedToPutHere/asahi-nvram/pull/2
Source:         https://github.com/WhatAmISupposedToPutHere/asahi-nvram/raw/b11f76a8fbe68edee191ee344f8c88b993d4bd5b/LICENSE
# Manually created patch for downstream crate metadata changes
# * bump nix to 0.26: https://github.com/WhatAmISupposedToPutHere/asahi-nvram/pull/3
Patch:          apple-nvram-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A library to parse and write apple-formatted nvram entries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp -p %SOURCE1 .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Jul 23 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial import; Fixes: RHBZ#2224852
